#!/bin/bash

pid_path="/usr/bin/devkit/pid_diagnosis"
for args in "$@"
do
    if [[ -x "${args}" ]]
    then
        echo "The parameters of tcpdump.sh script must be unexecutable"
        exit 1
    fi
    if [[ "${args}" =~ ^-z ]]
    then
        echo "The parameters of tcpdump.sh script cannot contain -z"
        exit 1
    fi
done

ppid=$(ps -o ppid= -p "$$" | awk '{$1=$1};1')
touch "$pid_path"/"$ppid"
chmod 400 "$pid_path"/"$ppid"

tcpdump "$@"
