#!/bin/bash
#Description: command tool install
#Copyright: Copyright © Huawei Technologies Co., Ltd. 2024. All rights reserved.
#History: 2024-10-23 created

current_dir=$(readlink -f "$(dirname "$0")")
source "${current_dir}/const.sh"

# 安装doctor目录
function copy_doctor_tool() {
    local install_path=$1
    local install_log=$2

    if [[ ! -d ${DEVKIT_BIN} ]]; then
          mkdir "${DEVKIT_BIN}"
          chmod -R 755 "${DEVKIT_BIN}"
    fi
    # 修改sys_diagnosis下doctor权限
    find "${install_path}/devkitplugins/sys_diagnosis/doctor" -type d -print|xargs -n1 chmod 700
    find "${install_path}/devkitplugins/sys_diagnosis/doctor" -type f -print|xargs -n1 chmod 500
    # 因为节点安装也需要sys_diagnosis下的doctor目录，所以这里不能用mv移除
    cp -r "${install_path}"/devkitplugins/sys_diagnosis/doctor "${DEVKIT_BIN}/"
    chmod -R 755 "${DEVKIT_BIN}/doctor"

    echo_and_log "Copy doctor files to devkit success" "${SUCCESS}" "${install_log}"
}

# 卸载doctor目录
function delete_doctor_tool() {
    echo_and_log "Delete doctor install path" "${DOING}"
    local doctor_path="/usr/bin/devkit/doctor"
    rm -rf "${doctor_path}"
    echo_and_log "Delete devkit install path success" "${SUCCESS}"
}