#!/bin/bash
#Description: launch app under ordinary user launcher
#Copyright: Copyright © Huawei Technologies Co., Ltd. 2024. All rights reserved.
#History: 2024-8-6 created
error=1
owner=$1
destination_dir=$3
current_dir=$(cd $(dirname $0); pwd)
DEVKIT_TOOL_PATH=${current_dir}
origin_dir="/tmp/memdiagnostic"
owner_group=${owner}
echo $owner
echo $destination_dir

function check_file() {
  for param in $@
  do
    # 硬链接判断
    if [[ -h "${param}" ]];then
      return 1
    # 软连接判断
    elif [[ -L "${param}" ]]; then
      return 1
    fi
  done
  return 0
}

if [[ "${owner}" == *"devkit"* ]];then
        owner_group="devkit"
fi

# 检查origin_dir是否有软连接或者硬链接，如果有直接退出
check_file ${origin_dir}
if [[ "$?" == 1 ]];then
      exit ${error}
fi

if [ ! -d "${origin_dir}" ];then
    mkdir ${origin_dir}
    echo "2"
    chown ${owner}:${owner_group} ${origin_dir}
    chmod 700 ${origin_dir}
fi

while :
do
    if [ ! -d "${destination_dir}" ];then
        echo "${destination_dir} not exist"
        exit ${error}
    fi
    cd "${origin_dir}"
    files=$(ls *.txt.[0-9]* asan.log.[0-9]* 2>/dev/null)
    for file in ${files};
    do
        check_file ${file}
        if [[ "$?" == 1 ]];then
          continue
        fi
        cp ${file} ${destination_dir}
        check_file ${destination_dir}/${file}
        if [[ "$?" == 1 ]];then
          continue
        fi
        chown ${owner}:${owner} ${destination_dir}/${file}
        check_file ${destination_dir}/${file}
        if [[ "$?" == 1 ]];then
          continue
        fi
        chmod 500 ${destination_dir}/${file}
    done
    sleep 1
done
